#version 330 core

in vec2 UV;
in float VY;
in vec3 NORMAL;

out vec4 color;

uniform sampler2D SAMPLER;

void main()
{
	vec3 outColor = texture(SAMPLER, UV).rgb;
	outColor *= clamp(VY + 1.0, 0.0, 1.0);
	color.rgb = outColor * clamp(NORMAL.y, 0.8, 1.0);
	color.a = 1.0;
}